import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class Security {

	public static void main(String[] args) {
		InputStream is = System.in;
		OutputStream os = System.out;
		InputReader in = new InputReader(is);
		PrintWriter out = new PrintWriter(os);

		int N = in.nextInt();
		int Q = in.nextInt();

		int[][] guards = new int[N][2];
		int[][] incidents = new int[Q][2];

		for (int n = 0; n < N; n++) {
			guards[n][0] = in.nextInt();
			guards[n][1] = in.nextInt();
		}

		for (int q = 0; q < Q; q++) {
			incidents[q][0] = in.nextInt();
			incidents[q][1] = in.nextInt();
		}

		for (int i = 0; i < Q; i++) {
			int min = 30000;
			for (int g = 0; g < N; g++) {
				min = Math.min(min, distance(incidents[i], guards[g]));
			}
			out.println(min);
			
		}

		out.close();
	}

	static int distance(int[] a, int[] b) {
		return Math.max(Math.abs(a[0] - b[0]), Math.abs(a[1] - b[1]));
	}

	static class InputReader {
		public BufferedReader reader;
		public StringTokenizer tokenizer;

		public InputReader(InputStream stream) {

			reader = new BufferedReader(new InputStreamReader(stream));
			tokenizer = null;
		}

		public String next() {
			while (tokenizer == null || !tokenizer.hasMoreElements()) {
				try {
					tokenizer = new StringTokenizer(reader.readLine());
				} catch (Exception e) {
					// TODO: handle exception
				}
			}
			return tokenizer.nextToken();
		}

		public int nextInt() {
			return Integer.parseInt(next());
		}
	}
}